from Components.Converter.Converter import Converter
from Components.Element import cached 
from Poll import Poll
#from DE.DELibrary import Tool
#t = Tool() 

class MetrixEmuNameDE(Poll,Converter, object):

	def __init__(self, type):
		Converter.__init__(self, type)
		Poll.__init__(self) 
		self.poll_interval = 5000
		self.poll_enabled = True 
		
	@cached
	def getText(self):
		#emuname = self.readEmuName()
		#if emuname is not "None":
			#return "EMU: " + emuname
		return ""

	text = property(getText)

	def readEmuName(self):
		#emuActive = t.readEmuActive()
		#return t.readEmuName(emuActive)
		return ""
